Subject: [Cfrg] Fwd: New Version Notification for draft-nir-cfrg-chacha20-poly1305-02.txt

From: Yoav Nir <[email-masked]>
Date: Thu, 3 Apr 2014 16:47:32 +0300

Hi

I’ve submitted a new version of the draft.

Changes include:
 - Test vector for generating the one-time Poly1305 key in section 2.6.1
 - More explanations of how to get constant-time implementations of Poly1305.
 - Reference to a public domain constant-time implementation.

I also verified the test vectors using another library (the OpenSSL patched library included in the Chromium project).

Comments and reviews are very welcome and will be appreciated.

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-nir-cfrg-chacha20-poly1305-02.txt
> Date: April 3, 2014 at 4:43:09 PM GMT+3
> To: Yoav Nir <[email-masked]>, Adam Langley <[email-masked]>, "Yoav Nir" <[email-masked]>, "Adam Langley" <[email-masked]>
> 
> 
> A new version of I-D, draft-nir-cfrg-chacha20-poly1305-02.txt
> has been successfully submitted by Yoav Nir and posted to the
> IETF repository.
> 
> Name:		draft-nir-cfrg-chacha20-poly1305
> Revision:	02
> Title:		ChaCha20 and Poly1305 for IETF protocols
> Document date:	2014-04-03
> Group:		Individual Submission
> Pages:		21
> URL:            http://www.ietf.org/internet-drafts/draft-nir-cfrg-chacha20-poly1305-02.txt
> Status:         https://datatracker.ietf.org/doc/draft-nir-cfrg-chacha20-poly1305/
> Htmlized:       http://tools.ietf.org/html/draft-nir-cfrg-chacha20-poly1305-02
> Diff:           http://www.ietf.org/rfcdiff?url2=draft-nir-cfrg-chacha20-poly1305-02
> 
> Abstract:
>   This document defines the ChaCha20 stream cipher, as well as the use
>   of the Poly1305 authenticator, both as stand-alone algorithms, and as
>   a "combined mode", or Authenticated Encryption with Additional Data
>   (AEAD) algorithm.
> 
>   This document does not introduce any new crypto, but is meant to
>   serve as a stable reference and an implementation guide.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>